device-tree: bcm2709-rpi-3-b-plus
volumes:
  ubuntu-core-mediacenter:
    schema: mbr
    bootloader: u-boot
    structure:
      - name: ubuntu-seed
        role: system-seed
        filesystem: vfat
        type: 0C
        size: 1500M
        content:
          - source: boot-assets/
            target: /
      - name: ubuntu-boot
        role: system-boot
        filesystem: vfat
        type: 0C
        # whats the appropriate size?
        size: 750M
        content:
          # TODO:UC20: install the boot.sel via snapd instead of via the gadget
          - source: boot.sel
            target: uboot/ubuntu/boot.sel
      # NOTE: ubuntu-save is optional for unencrypted devices like the pi, so
      # this structure can be dropped in favor of a different partition for
      # users who wish to instead use a different partition, since with MBR we
      # are limited to only 4 primary partitions.
      # TODO: look into switching over to GPT, the pi bootloader firmware now
      #       has support for this
      - name: ubuntu-save
        role: system-save
        filesystem: ext4
        type: 83,0FC63DAF-8483-4772-8E79-3D69D8477DE4
        size: 16M
      - name: ubuntu-data
        role: system-data
        filesystem: ext4
        type: 83,0FC63DAF-8483-4772-8E79-3D69D8477DE4
        # XXX: make auto-grow to partition
        size: 1500M
connections:
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:hardware-observe
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:mount-observe
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:system-observe
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:process-control
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:network-control
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:bluetooth-control
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:removable-media
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:device-buttons
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:framebuffer
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:joystick
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:shutdown
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:vcio
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:audio-playback
    slot: yKf8b7vKzpN9FXYKV7Ff1BPSUCdsevYA:audio-playback
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:avahi-control
    slot: dVK2PZeOLKA7vf1WPCap9F8luxTk9Oll:avahi-control
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:bluez
    slot: JmzJi9kQvHUWddZ32PDJpBRXUpGRxvNS:service
  - plug: qNkuYcpmI72vciHlkH3gZki8z7u04nAj:services-content
    slot: dVK2PZeOLKA7vf1WPCap9F8luxTk9Oll:services-content
  - plug: JmzJi9kQvHUWddZ32PDJpBRXUpGRxvNS:uinput
  - plug: MllPrJmz2tNjFQk65iIsHajyVeJDam9a:serial-port
    slot: YbGa9O3dAXl88YLI6Y1bGG74pwBxZyKg:bt-serial
